import Head from 'next/head'
import Image from 'next/image'
import { Inter } from '@next/font/google'
import styles from '../styles/Home.module.css'
import Button from '../components/Button'
const inter = Inter({ subsets: ['latin'] })

export default function Home() {
  return (
    <>
      <Head>
        <title>Lio's Gallery</title>
        <meta name="description" content="Gallery of most of Lio's Art" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link rel="icon" href="/favicon.ico" />
      </Head>
      <main className={styles.main}>
        <div className={styles.description}></div>
        <div className={styles.center}>
          <Image
            className={styles.logo}
            src="/gallery-logo-light.svg"
            alt="Lio Gallery Logo"
            width={757}
            height={135}
            priority
          />
        </div>

        <div className={styles.grid}>
          <Button title={'Characters'} subtitle={'A List of all my OCs'} link={'characters'} />
          <Button title={'Gallery'} subtitle={'A Gallery of all my Commissions'} link={'gallery'} />
          <Button title={'Writing'} subtitle={'Stories written for/by me about my OCs'} link={'https://lio.to'} />
          <Button title={'Home'} subtitle={'Go to my Personal Sitea'} link={'https://lio.to'} />
        </div>
      </main>
    </>
  )
}